Skip to main content

Get Account Info

Service Address​

http://api-az-cn.danghongyun.com/rest

Request Method​

GET

Request Parameters​

ParameterDescriptionTypeRequired
accessKeyThe user access keyStringRequired
actionAPI name, this api is "getUser"StringRequired
versionAPI version, currently must be 2.0StringRequired
timestampInvoke time in milliseconds since january 1 1970, eg: 1466488681033StringRequired
signatureSignature generated by signature rule.StringRequired

Response Example​

{
"code":0,
"message":"success",
"result":
{
"generateTime":1437642721763,
"lastLoginIp":"xxx.xxx.xxx.xxx",
"contact":"someone",
"cellphone":"xxxxxxxxxxx",
"company":"arcvideo",
"id":191,
"activateStatus":1,
"abbreviation":"pw",
"lastLoginTime":1511748008624,
"domainPrefix":"p2191m9e",
"account":"someone@example.com"
},
"success":true
}

Response Fields​

FieldDescription
accountAccount
abbreviationUser abbreviation
activateStatusActivation status, 0 not activated, 1 activated
cellphoneCellphone
companyCompany name
contactContact name
domainPrefixUser domain prefix
generateTimeTime of registration
idUser id
lastLoginIpIp address of the last login
lastLoginTimeThe timestamp of the last login

Error Codes​

CodeMessage
0success
10000Exception
10201api_not_exists